export declare function objectExists(item: any): boolean;
export declare function objectNotExists(item: any): boolean;
export declare function objectHasKeys(item: any): boolean;
export declare function getStringRepresentionFromKey(event: KeyboardEvent | any): string;
export declare function cloneObject<T extends any>(obj: T): T;
export declare const arrayToKeyMap: <T extends string | number | symbol>(arr?: T[]) => Record<T, boolean>;
export declare function convertArrayToCsv(array: any[], separator?: string): string;
export declare function createDownloadedFile(content: any, fileName: string, mimeType: string): void;
export declare function copyToClipboard(text: string): Promise<boolean>;
export declare function returnItemCount(items: any[], itemName: string): string;
export declare function isInputNullOrEmpty(itemToCheck: any): boolean;
export declare function isInputNotNullOrEmpty(itemToCheck: any): boolean;
export declare function roundNumber(numberToRound: any, decimalPlaces: number): number;
export declare function roundNumberTo4dp(numberToRound: any): number;
export declare function clamp(value: any, boundOne: number, boundTwo: number): number;
export declare function extractColsFromText(text: string): string[];
export declare function replaceAll(text: string, toReplace: string, replaceWith: string): string;
export declare function extractContextKeysFromText(text: string): string[];
export declare const Helper: {
    objectExists: typeof objectExists;
    objectNotExists: typeof objectNotExists;
    objectHasKeys: typeof objectHasKeys;
    getStringRepresentionFromKey: typeof getStringRepresentionFromKey;
    cloneObject: typeof cloneObject;
    convertArrayToCsv: typeof convertArrayToCsv;
    createDownloadedFile: typeof createDownloadedFile;
    copyToClipboard: typeof copyToClipboard;
    returnItemCount: typeof returnItemCount;
    isInputNullOrEmpty: typeof isInputNullOrEmpty;
    isInputNotNullOrEmpty: typeof isInputNotNullOrEmpty;
    roundNumber: typeof roundNumber;
    roundNumberTo4dp: typeof roundNumberTo4dp;
    clamp: typeof clamp;
    extractColsFromText: typeof extractColsFromText;
    replaceAll: typeof replaceAll;
    extractContextKeysFromText: typeof extractContextKeysFromText;
};
export default Helper;
